package com.fp.persistence.pgeneral.gene;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Column;
import javax.persistence.EntityManager;
import java.io.Serializable;
import javax.persistence.Table;
import com.fp.dto.hb.HibernateBean;
import java.lang.reflect.Field;
import javax.persistence.Transient;
import java.sql.Date;

/**Clase que implementa la entidad de Hibernate que hace referencia a la tabla TGENECONSEP*/
@Entity(name="TgeneConsep")
@Table(name="TGENECONSEP")
public class TgeneConsep extends com.fp.dto.AbstractDataTransport implements Serializable,HibernateBean,Cloneable{
/**
* HashCode asociado con la Instancia
*/
@Transient
private int hashValue = 0;
/**
* Version de la Clase
*/
private static final long serialVersionUID = 1L;
/**
* Clave primaria de la Entidad TgeneConsep
*/
@Id
@Column(name="ID_LISTANEGRA_" ,nullable=false, updatable=false)
private String pk;
@Column(name="PARTMREGIONCOD", nullable=true)

/**
* Codigo del negocio
*/
private String partmregioncod;

@Column(name="PARTMSUCCOD", nullable=true)

/**
* Clase que se encarga de iniciar o detener el servicio
*/
private String partmsuccod;

@Column(name="PARTMAGECOD", nullable=true)

/**
* Y, Indica que el servicio se levanta al moemento de subir el servidor de aplicaciones
*/
private String partmagecod;

@Column(name="PARTMUNIADMCOD", nullable=true)

/**
* null
*/
private String partmuniadmcod;

@Column(name="NOMBRE", nullable=true)

/**
* Nombre de la persona
*/
private String nombre;

@Column(name="APELLIDO", nullable=true)

/**
* Apellido de la persona

*/
private String apellido;

@Column(name="ID_TIPLISNEG", nullable=true)

/**
* Codigo Tipo llista (Sindicado,Homonimo)
*/
private Long id_tiplisneg;

@Column(name="ESTADO", nullable=true)

/**
* null
*/
private String estado;

@Column(name="FEC_ING_LISNEG", nullable=true)

/**
* Fecha en que se registro en lista CONSEP
*/
private Date fec_ing_lisneg;

@Column(name="PERMITIR_TRX", nullable=true)

/**
* null
*/
private String permitir_trx;

@Column(name="IDENTIFICACION", nullable=true)

/**
* Identificacion (RUC, C.I. ,Pasaporte)
*/
private String identificacion;

@Column(name="PARTMCIUDADCOD", nullable=true)

/**
* Codigo de la ciudad a la que pertenece
*/
private String partmciudadcod;

@Column(name="FEC_ING_CARGO", nullable=true)

/**
* Fecha de ingreso al cargo

*/
private Date fec_ing_cargo;

@Column(name="FEC_SAL_CARGO", nullable=true)

/**
* Fecha de salida al cargo
*/
private Date fec_sal_cargo;

@Column(name="ID_CARGO", nullable=true)

/**
* Codigo del cargo de la persona
*/
private Integer id_cargo;

@Column(name="ULT_ESTADO", nullable=true)

/**
* null
*/
private String ult_estado;

@Column(name="FEC_SAL_LISNEG", nullable=true)

/**
* Fecha de salida de la lista de CONSEP
*/
private Date fec_sal_lisneg;

@Column(name="USU_INGRESA", nullable=true)

/**
* Usuario que ingreso el registro

*/
private String usu_ingresa;

@Column(name="USU_MODIFICA", nullable=true)

/**
* Usuario que modifico el registro
*/
private String usu_modifica;

@Column(name="FEC_MODIFICA", nullable=true)

/**
* Fecha en la que se modifico el registro
*/
private Date fec_modifica;

@Column(name="ARCHIVO_ORIG", nullable=true)

/**
* null
*/
private String archivo_orig;

@Column(name="OBSERVACIONLP", nullable=true)

/**
* null
*/
private String observacionlp;

@Column(name="ID_TIPLISPROPIAS", nullable=true)

/**
* null
*/
private Long id_tiplispropias;

@Column(name="OBSERVACION", nullable=true)

/**
* Observaciones de la persona
*/
private String observacion;

/**Contructor por defecto*/
public TgeneConsep(){
}
/**Contructor de TgeneConsep
@param pPk Clave Primaria del entity
*/
public TgeneConsep(String pPk){
 this();
 pk=pPk;
}
/**
* Metodo que entrega datos de la tabla dada la clave primaria.
* @param pEntityManager referencia de la session a obtener datos del bean.
* @param pKey Caleve primaria del bean.
* @return TgeneConsep
*/
public static TgeneConsep find(EntityManager pEntityManager,Object pKey) throws Exception{
    TgeneConsep obj = pEntityManager.find(TgeneConsep.class,pKey);
    return obj;
}
/**Entrega la Clave primaria de TgeneConsep
@return El objeto que referencia a la Clave primaria de TgeneConsep
*/
public String getPk(){
  return pk;
}
/**Fija un nuevo valor a la Clave primaria de TgeneConsep
@param pPk El objeto que referencia a la nueva Clave primaria de TgeneConsep
*/
public void setPk(String pPk){
  pk=pPk;
}
/**Obtiene el valor de partmregioncod
@return valor de partmregioncod*/
public String getPartmregioncod(){
  return partmregioncod;
}
/**Fija el valor de partmregioncod
@param pPartmregioncod nuevo Valor de partmregioncod*/
public void setPartmregioncod(String pPartmregioncod){
  partmregioncod=pPartmregioncod;
}

/**Obtiene el valor de partmsuccod
@return valor de partmsuccod*/
public String getPartmsuccod(){
  return partmsuccod;
}
/**Fija el valor de partmsuccod
@param pPartmsuccod nuevo Valor de partmsuccod*/
public void setPartmsuccod(String pPartmsuccod){
  partmsuccod=pPartmsuccod;
}

/**Obtiene el valor de partmagecod
@return valor de partmagecod*/
public String getPartmagecod(){
  return partmagecod;
}
/**Fija el valor de partmagecod
@param pPartmagecod nuevo Valor de partmagecod*/
public void setPartmagecod(String pPartmagecod){
  partmagecod=pPartmagecod;
}

/**Obtiene el valor de partmuniadmcod
@return valor de partmuniadmcod*/
public String getPartmuniadmcod(){
  return partmuniadmcod;
}
/**Fija el valor de partmuniadmcod
@param pPartmuniadmcod nuevo Valor de partmuniadmcod*/
public void setPartmuniadmcod(String pPartmuniadmcod){
  partmuniadmcod=pPartmuniadmcod;
}

/**Obtiene el valor de nombre
@return valor de nombre*/
public String getNombre(){
  return nombre;
}
/**Fija el valor de nombre
@param pNombre nuevo Valor de nombre*/
public void setNombre(String pNombre){
  nombre=pNombre;
}

/**Obtiene el valor de apellido
@return valor de apellido*/
public String getApellido(){
  return apellido;
}
/**Fija el valor de apellido
@param pApellido nuevo Valor de apellido*/
public void setApellido(String pApellido){
  apellido=pApellido;
}

/**Obtiene el valor de id_tiplisneg
@return valor de id_tiplisneg*/
public Long getId_tiplisneg(){
  return id_tiplisneg;
}
/**Fija el valor de id_tiplisneg
@param pId_tiplisneg nuevo Valor de id_tiplisneg*/
public void setId_tiplisneg(Long pId_tiplisneg){
  id_tiplisneg=pId_tiplisneg;
}

/**Obtiene el valor de estado
@return valor de estado*/
public String getEstado(){
  return estado;
}
/**Fija el valor de estado
@param pEstado nuevo Valor de estado*/
public void setEstado(String pEstado){
  estado=pEstado;
}

/**Obtiene el valor de fec_ing_lisneg
@return valor de fec_ing_lisneg*/
public Date getFec_ing_lisneg(){
  return fec_ing_lisneg;
}
/**Fija el valor de fec_ing_lisneg
@param pFec_ing_lisneg nuevo Valor de fec_ing_lisneg*/
public void setFec_ing_lisneg(Date pFec_ing_lisneg){
  fec_ing_lisneg=pFec_ing_lisneg;
}

/**Obtiene el valor de permitir_trx
@return valor de permitir_trx*/
public String getPermitir_trx(){
  return permitir_trx;
}
/**Fija el valor de permitir_trx
@param pPermitir_trx nuevo Valor de permitir_trx*/
public void setPermitir_trx(String pPermitir_trx){
  permitir_trx=pPermitir_trx;
}

/**Obtiene el valor de identificacion
@return valor de identificacion*/
public String getIdentificacion(){
  return identificacion;
}
/**Fija el valor de identificacion
@param pIdentificacion nuevo Valor de identificacion*/
public void setIdentificacion(String pIdentificacion){
  identificacion=pIdentificacion;
}

/**Obtiene el valor de partmciudadcod
@return valor de partmciudadcod*/
public String getPartmciudadcod(){
  return partmciudadcod;
}
/**Fija el valor de partmciudadcod
@param pPartmciudadcod nuevo Valor de partmciudadcod*/
public void setPartmciudadcod(String pPartmciudadcod){
  partmciudadcod=pPartmciudadcod;
}

/**Obtiene el valor de fec_ing_cargo
@return valor de fec_ing_cargo*/
public Date getFec_ing_cargo(){
  return fec_ing_cargo;
}
/**Fija el valor de fec_ing_cargo
@param pFec_ing_cargo nuevo Valor de fec_ing_cargo*/
public void setFec_ing_cargo(Date pFec_ing_cargo){
  fec_ing_cargo=pFec_ing_cargo;
}

/**Obtiene el valor de fec_sal_cargo
@return valor de fec_sal_cargo*/
public Date getFec_sal_cargo(){
  return fec_sal_cargo;
}
/**Fija el valor de fec_sal_cargo
@param pFec_sal_cargo nuevo Valor de fec_sal_cargo*/
public void setFec_sal_cargo(Date pFec_sal_cargo){
  fec_sal_cargo=pFec_sal_cargo;
}

/**Obtiene el valor de id_cargo
@return valor de id_cargo*/
public Integer getId_cargo(){
  return id_cargo;
}
/**Fija el valor de id_cargo
@param pId_cargo nuevo Valor de id_cargo*/
public void setId_cargo(Integer pId_cargo){
  id_cargo=pId_cargo;
}

/**Obtiene el valor de ult_estado
@return valor de ult_estado*/
public String getUlt_estado(){
  return ult_estado;
}
/**Fija el valor de ult_estado
@param pUlt_estado nuevo Valor de ult_estado*/
public void setUlt_estado(String pUlt_estado){
  ult_estado=pUlt_estado;
}

/**Obtiene el valor de fec_sal_lisneg
@return valor de fec_sal_lisneg*/
public Date getFec_sal_lisneg(){
  return fec_sal_lisneg;
}
/**Fija el valor de fec_sal_lisneg
@param pFec_sal_lisneg nuevo Valor de fec_sal_lisneg*/
public void setFec_sal_lisneg(Date pFec_sal_lisneg){
  fec_sal_lisneg=pFec_sal_lisneg;
}

/**Obtiene el valor de usu_ingresa
@return valor de usu_ingresa*/
public String getUsu_ingresa(){
  return usu_ingresa;
}
/**Fija el valor de usu_ingresa
@param pUsu_ingresa nuevo Valor de usu_ingresa*/
public void setUsu_ingresa(String pUsu_ingresa){
  usu_ingresa=pUsu_ingresa;
}

/**Obtiene el valor de usu_modifica
@return valor de usu_modifica*/
public String getUsu_modifica(){
  return usu_modifica;
}
/**Fija el valor de usu_modifica
@param pUsu_modifica nuevo Valor de usu_modifica*/
public void setUsu_modifica(String pUsu_modifica){
  usu_modifica=pUsu_modifica;
}

/**Obtiene el valor de fec_modifica
@return valor de fec_modifica*/
public Date getFec_modifica(){
  return fec_modifica;
}
/**Fija el valor de fec_modifica
@param pFec_modifica nuevo Valor de fec_modifica*/
public void setFec_modifica(Date pFec_modifica){
  fec_modifica=pFec_modifica;
}

/**Obtiene el valor de archivo_orig
@return valor de archivo_orig*/
public String getArchivo_orig(){
  return archivo_orig;
}
/**Fija el valor de archivo_orig
@param pArchivo_orig nuevo Valor de archivo_orig*/
public void setArchivo_orig(String pArchivo_orig){
  archivo_orig=pArchivo_orig;
}

/**Obtiene el valor de observacionlp
@return valor de observacionlp*/
public String getObservacionlp(){
  return observacionlp;
}
/**Fija el valor de observacionlp
@param pObservacionlp nuevo Valor de observacionlp*/
public void setObservacionlp(String pObservacionlp){
  observacionlp=pObservacionlp;
}

/**Obtiene el valor de id_tiplispropias
@return valor de id_tiplispropias*/
public Long getId_tiplispropias(){
  return id_tiplispropias;
}
/**Fija el valor de id_tiplispropias
@param pId_tiplispropias nuevo Valor de id_tiplispropias*/
public void setId_tiplispropias(Long pId_tiplispropias){
  id_tiplispropias=pId_tiplispropias;
}

/**Obtiene el valor de observacion
@return valor de observacion*/
public String getObservacion(){
  return observacion;
}
/**Fija el valor de observacion
@param pObservacion nuevo Valor de observacion*/
public void setObservacion(String pObservacion){
  observacion=pObservacion;
}

public boolean equals(Object rhs){
    if (rhs == null)return false;
    if (! (rhs instanceof TgeneConsep))return false;
    TgeneConsep that = (TgeneConsep) rhs;
    if (this.getPk() == null || that.getPk() == null)
        return false;
    return (this.getPk().equals(that.getPk()));
}
/**Implementación del metodo hashCode de la la entidad TgeneConsep
@return el hashCode la instancia
*/
public int hashCode()    {
    if (this.hashValue == 0){
        int result = 17;
        if (this.getPk() == null){
            result = super.hashCode();
        }else{
            result = this.getPk().hashCode();
        }
        this.hashValue = result;
    }
    return this.hashValue;
}
/**Implementación toString
*/
public String toString() {
	Field[]fs=this.getClass().getDeclaredFields();
	String data="";
	for(Field f:fs){
	 try{	
	 String name=f.getName();
   if(f.getType().getName().compareTo("java.util.Set")==0)continue;
	 if(name.compareTo("hashValue")==0||name.compareTo("serialVersionUID")==0)continue;
		data+=name+"="+f.get(this)+";";
	 }catch(Exception e){
		 continue;
	 }
		}
		if(data.compareTo("")==0){
		data=super.toString();
		}
	return data;
	}
/**Implementación de la creación de un bean en blanco TgeneConsep
*/
public Object createInstance(){
 TgeneConsep instance=new TgeneConsep();	
 return instance;
}
/**Clona la entidad TgeneConsep
@see com.fp.dto.hb.HibernateBean#cloneMe()
*/
public Object cloneMe() throws CloneNotSupportedException{
  TgeneConsep p=(TgeneConsep)this.clone();
  return p;
}
}
